Subject: bug#35893: guix import json does not specify input package's output when provided in the json

From: Jesse Gibbons <[email-masked]>
Date: Fri, 24 May 2019 18:49:29 -0600

I'm trying to generate a package definition from the following json:

{
    "name" : "pysolfc",
    "version" : "2.6.4",
    "source" : "https://github.com/shlomif/PySolFC/archive/pysolfc-2.6.4.tar.gz"
    "build-system" : "python",
    "home-page" : "https://pysolfc.sourceforge.io/",
    "synopsis" : "Solitaire Collection, Written in Python",
    "description" : "PySol Fan Club Edition (PySolFC) is a collection of more than 1000 solitaire card games. It is a fork of PySol Solitaire.",
    "license" : "GPL-3.0+",
    "inputs" : ["python2:tk"],
    "propagated-inputs" : ["python2-six"]
}

==========
When I run guix import json pysolfc.json >> pysolfc.scm and define the
output as a public package, I get the following:

(define-module (custom packages pysolfc)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (guix build-system python)
  #:use-module (guix licenses))

(define-public pysolfc
(package
  (name "pysolfc")
  (version "2.6.4")
  (source
    (origin
      (method url-fetch)
      (uri (string-append
             "https://github.com/shlomif/PySolFC/archive/pysolfc-"
             version
             ".tar.gz"))
      (sha256
        (base32
          "17r9mbn4fj6kbxhllsab74gfjac0j2mjdwkkwaxp6cqpy4dss3z8"))))
  (build-system python-build-system)
  (inputs
    `(("python2" ,(@ (gnu packages python) python-2))))
  (propagated-inputs
    `(("python2-six"
       ,(@ (gnu packages python-xyz) python2-six))))
  (home-page "https://pysolfc.sourceforge.io/")
  (synopsis
    "Solitaire Collection, Written in Python")
  (description
    "PySol Fan Club Edition (PySolFC) is a collection of more than 1000 solitaire card games. It is a fork of PySol Solitaire.")
  (license gpl3+))
)

====================
When I try to build this I get the following error:

    import _tkinter # If this fails your Python may not be configured
for Tk ModuleNotFoundError: No module named '_tkinter'
====================

Conclusion: guix import json doesn't specify the output required by the
json.